org.bouncycastle.jce.provider.test

## Class BaseBlockCipherTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.jce.provider.test.BaseBlockCipherTest

All Implemented Interfaces:
  Test

Direct Known Subclasses:
  AESTest, CamelliaTest, NoekeonTest, SEEDTest

    public abstract class BaseBlockCipherTest
    extends SimpleTest

### Method Summary

Methods
`java.lang.String` `getName()`
`protected void` `oidTest(java.lang.String[] oids, java.lang.String[] names, int groupSize)`
`protected void` `wrapOidTest(java.lang.String[] oids, java.lang.String name)`
`protected void` `wrapTest(int id, java.lang.String wrappingAlgorithm, byte[] kek, byte[] in, byte[] out)`

### Methods inherited from class org.bouncycastle.util.test.SimpleTest

`areEqual, fail, fail, fail, perform, performTest, runTest, runTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Test`
Specified by:
  `getName` in class `SimpleTest`

#### oidTest

    protected void oidTest(java.lang.String[] oids,
               java.lang.String[] names,
               int groupSize)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### wrapOidTest

    protected void wrapOidTest(java.lang.String[] oids,
                   java.lang.String name)
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### wrapTest

    protected void wrapTest(int id,
                java.lang.String wrappingAlgorithm,
                byte[] kek,
                byte[] in,
                byte[] out)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`